/*
 * BlogSetupView.h
 *
 *  Created on: 17.12.2009
 *      Author: apoi
 */

#ifndef BLOGSETUPVIEW_H_
#define BLOGSETUPVIEW_H_

#include <QFrame>
#include "WPData.h"
#include "wpcustomviewbasicdata.h"

class BlogView;
class WPScrollArea;
class CollectionList;

class BlogSetupView : public QFrame, public WPCustomViewBasicData
{
    Q_OBJECT

public:
    BlogSetupView(BlogView *parent = 0);
    ~BlogSetupView();

public slots:
    void UpdateData(const WPDataUsersBlogs& aUsersBlogs);
    void setFocus();

private:
    void AddBlog(const WPDataBlog& aBlog);
    void keyReleaseEvent(QKeyEvent * event);
    
private slots:
    void AddNewBlog();
    void Open();
    void Edit();
    void Delete();

private:
    BlogView* iParent;
    WPScrollArea* iScrollArea;
    CollectionList* iBlogList;
};

#endif /* BLOGSETUPVIEW_H_ */
