#ifndef ADDPOSTVIEW_H
#define ADDPOSTVIEW_H

#include <QFrame>
#include <QStringList>
#include "ui_addpostview.h"
#include "wpcustomviewbasicdata.h"
#include "WPData.h"

class BlogView;

class AddPostView : public QFrame, public WPCustomViewBasicData
{
    Q_OBJECT

public:
    AddPostView(BlogView *parent = 0);
    ~AddPostView();
    void NewPost(WPDataBlog *aBlog);
    void EditPost(WPDataBlog *aBlog, WPPost aPost);
    void SelectCategories(const QStringList* aCategories);

signals:
    void ShowErrorNote(const QString& aError);

public slots:
    void SavePost();
    void ImagesAdded(const QStringList& aFilenames);
    void AddPhotosClicked(bool aDummy);
    void setFocus();

private:
    void ShowSelectedCategories();
    void keyReleaseEvent ( QKeyEvent * event  );

private slots:
    void CategoriesClicked();
    
private:
    Ui::AddPostView ui;
    BlogView* iParent;

    int iCategoryListLength;
    QStringList iCategories;

    WPDataBlog* iDataBlog;
    WPPost iPost;

    QStringList iAddedImages;
};

#endif // ADDPOSTVIEW_H
