/*
 * busyindicator.cpp
 *
 *  Created on: 30.4.2010
 *      Author: jlep
 */

#include "busyindicator.h"

#include <QTimer>
#include <QPainter>

BusyIndicator::BusyIndicator(QWidget *parent)
       : QWidget(parent), iActive(false)
{
    setPalette(Qt::transparent);
    setAttribute(Qt::WA_TransparentForMouseEvents);
    iTimer = new QTimer(this);
    connect(iTimer, SIGNAL(timeout()), this, SLOT(update()));
    iSprites.append(QPixmap(":/images/spinner1.png"));
    iSprites.append(QPixmap(":/images/spinner2.png"));
    iSprites.append(QPixmap(":/images/spinner3.png"));
    iSprites.append(QPixmap(":/images/spinner4.png"));
    iSprites.append(QPixmap(":/images/spinner5.png"));
    iSprites.append(QPixmap(":/images/spinner6.png"));
    iSprites.append(QPixmap(":/images/spinner7.png"));
    iSprites.append(QPixmap(":/images/spinner8.png"));
    // assume same size for all pictures
    //
    if (iSprites.count() > 0)
    {
        iPictureWidth = iSprites[0].size().width();
    }
    iIndex = 0; 
}

BusyIndicator::~BusyIndicator()
{
}

void BusyIndicator::Activate()
{
    if (!iTimer->isActive())
    {
        iActive = true;
        show();
        iTimer->start(300);
    }
}

void BusyIndicator::Deactivate()
{
    iActive = false;
    iTimer->stop();
    hide();
}

void BusyIndicator::paintEvent(QPaintEvent* /*event*/)
{
    if (iActive)
    {
        iIndex = ++iIndex == iSprites.count() ? 0 : iIndex;
    }
}

QPixmap& BusyIndicator::PixmapToDraw()
{
    return iSprites[iIndex];
}

