/*
 * busyindicator.h
 *
 *  Created on: 30.4.2010
 *      Author: jlep
 */

#ifndef BUSYINDICATOR_H_
#define BUSYINDICATOR_H_

#include <QWidget>

/*!
 * Draws a small busy indicator animation on top right corner.
 * Created by BlogView, owned by the StackedWidget and controlled in the end by the DialogController.
 */
class BusyIndicator : public QWidget
{
public:
    BusyIndicator(QWidget *parent);
    ~BusyIndicator();
    /*!
     * Start/Stop animations.
     */
    void Activate();
    void Deactivate();
    QPixmap& PixmapToDraw();
    bool IsActive() { return iActive; }
protected:
    void paintEvent(QPaintEvent *event);
private:
    // In QObject tree
    QTimer* iTimer;
    // Members
    bool    iActive;
    int     iPictureWidth;
    int     iIndex;
    QList<QPixmap> iSprites;
};

#endif /* BUSYINDICATOR_H_ */
