/*
 * wpgraphicsmenu.h
 *
 *  Created on: 18.5.2010
 *      Author: jlep
 */
#ifndef WPGRAPHICSMENU_H_
#define WPGRAPHICSMENU_H_

#include <QGraphicsWidget>
#include <QGraphicsView>
#include <QGraphicsScene>

#include "BlogView.h"
#include "wpcommongeometry.h"

class QGraphicsScene;
class QGraphicsLinearLayout;
class PopupMenu;
class QAction;
class QPropertyAnimation;

class WPMenuGraphicsWidget : public QGraphicsWidget
{
    Q_OBJECT
public:
    enum TMode {
        EOptionsQuit,
        ESaveCancel,
        EBack
    };

    WPMenuGraphicsWidget(BlogView& aBlogView, QGraphicsWidget* aParent, QGraphicsScene& aScene);
    ~WPMenuGraphicsWidget();
    // add options and actions
    void addAction(QAction* aAction);
    // add button
    void setButtonActions(QAction* aHappyAction, QAction* aSadAction);
    void setMode(TMode aMode);

    void showMenu();
    
signals:
    //void MenuClicked(bool);
    void QuitClicked();

private:
    void resizeEvent(QGraphicsSceneResizeEvent *event);
    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget = 0);
    void mousePressEvent(QGraphicsSceneMouseEvent* event);
    void mouseReleaseEvent(QGraphicsSceneMouseEvent* event);
    int CalculateButton(QGraphicsSceneMouseEvent* event);
    
    
private slots:
    void AnimationFinished();
    void MenuHiding();

private:
    BlogView& iBlogView;
    QGraphicsScene& iScene;
    PopupMenu* iPopupMenu;
    QPropertyAnimation* iAnimation;
    TMode iMode;
    QList<QAction*> iActions;
    QAction* iHappyAction;
    QAction* iSadAction;
    QPixmap* iFullMenuPixmap;
    int iMousePressed; /*0 none, 1 left 2 right 3 full */
};

#endif /* WPGRAPHICSMENU_H_ */
