/*
 * wpgraphicsmenu.cpp
 *
 *  Created on: 18.5.2010
 *      Author: jlep
 */

#include "wpstatusbargraphicswidget.h"

WPTitleBarGraphicsWidget::WPTitleBarGraphicsWidget(BlogView& aBlogView, QGraphicsWidget* aParent, QGraphicsScene& aScene, BusyIndicator* aIndicator)
    :   QGraphicsWidget(aParent), iBlogView(aBlogView), iScene(aScene), iText(tr("")), iIndicator(*aIndicator), iPicWidth(0)
{
    const int iPicMargin = 5;
    iPicWidth = iIndicator.PixmapToDraw().width() + iPicMargin;
    setFocusPolicy(Qt::StrongFocus);
    setMinimumHeight(StatusBarHeight);
    setMaximumHeight(StatusBarHeight);
}

WPTitleBarGraphicsWidget::~WPTitleBarGraphicsWidget()
{}

void WPTitleBarGraphicsWidget::SetText(const QString& aText)
{
    iText = aText;
    update();
}

void WPTitleBarGraphicsWidget::paint(QPainter *painter, const QStyleOptionGraphicsItem*/*option*/, QWidget*/*widget*/)
{
    const QColor textColor = QColor(236,236,236);
    const QColor bgColor = QColor(112,112,112);
    painter->setBrush(bgColor);
    painter->setPen(Qt::NoPen);
    painter->drawRect(boundingRect());
    painter->setFont(*iBlogView.GetThemeData().iStatusBarFont);
    painter->setPen(textColor);
    
    const int fontXOffset = 10;
    QFontMetrics titleFm(*iBlogView.GetThemeData().iStatusBarFont);
    iElidedText = titleFm.elidedText(iText, Qt::ElideRight, boundingRect().width() - (fontXOffset+iPicWidth));
    painter->drawText(fontXOffset,25,iElidedText);
    if (iIndicator.IsActive())
    {
        painter->drawPixmap(boundingRect().width() - iPicWidth,0, iIndicator.PixmapToDraw());
    }
}

